## indicator-session 12.10.5+16.04.20160412

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,8 @@
 include (FindPkgConfig)
 pkg_check_modules (SERVICE REQUIRED
                    glib-2.0>=2.36
-                   gio-unix-2.0>=2.36)
+                   gio-unix-2.0>=2.36
+                   url-dispatcher-1>=1)
 include_directories (${SERVICE_INCLUDE_DIRS})
 
 set (CC_WARNING_ARGS " -Wall -pedantic -Wextra -Wno-missing-field-initializers")
