## indicator-session 17.3.20%2B19.10.20190921

=== backend-dbus/CMakeLists.txt ===
find_package(GDbus REQUIRED)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-display-manager
                   org.freedesktop
                   org.freedesktop.DisplayManager.Seat.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-webcredentials
                   com.canonical.indicators
                   com.canonical.indicators.webcredentials.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-accounts
                   org.freedesktop
                   org.freedesktop.Accounts.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-user
                   org.freedesktop
                   org.freedesktop.Accounts.User.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-login1-manager
                   org.freedesktop
                   org.freedesktop.login1.Manager.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-login1-seat
                   org.freedesktop
                   org.freedesktop.login1.Seat.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-login1-user
                   org.freedesktop
                   org.freedesktop.login1.User.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES gnome-screen-saver
                   org
                   org.gnome.ScreenSaver.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES gnome-session-manager
                   org
                   org.gnome.SessionManager.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-end-session-dialog
                   org.gnome.SessionManager
                   org.gnome.SessionManager.EndSessionDialog.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES unity-session
                   com.canonical
                   com.canonical.Unity.Session.xml)

set (SOURCES actions.c guest.c users.c backend-dbus.c utils.c)

# add warnings/coverage info on handwritten files
# but not the autogenerated ones...
set_source_files_properties (${SOURCES}
                             PROPERTIES COMPILE_FLAGS " ${CC_WARNING_ARGS}")

# add the bin dir to our include path s.t. our code can find the autogenerated header files
include_directories (${CMAKE_CURRENT_BINARY_DIR} ${SERVICE_INCLUDE_DIRS})

add_library (backenddbus STATIC ${SOURCES} ${BACKEND_GENERATED_SOURCES})

# coverage reporting
set(COVERAGE_TARGETS
  ${COVERAGE_TARGETS}
  backenddbus
  PARENT_SCOPE
)
