## indicator-session 17.3.20+21.10.20210613.1-0ubuntu1+11.0trisquel1

=== debian/changelog ===
indicator-session (17.3.20+21.10.20210613.1-0ubuntu1+11.0trisquel1) aramo; urgency=medium

  * Unbranded

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 25 Jun 2022 16:48:54 +0000

indicator-session (17.3.20+21.10.20210613.1-0ubuntu1) impish; urgency=medium

  [ Khurshid Alam ]
  * Fix various compiler warnings and deprecation warnings.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 13 Jun 2021 17:22:11 +0000

indicator-session (17.3.20+21.04.20210327-0ubuntu1) hirsute; urgency=medium

  * Use unity-settings-daemon GSettings schema only on Unity. On the
    other desktops, use gnome-settings-daemon schema.
  * Add gnome-flashback as an alternative to gnome-screensaver
    recommendation.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 27 Mar 2021 06:46:54 +0000

indicator-session (17.3.20+19.10.20190921-0ubuntu2) hirsute; urgency=medium

  * debian/control: Build-Depends on libgtest-dev, fixes the build

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 18 Nov 2020 16:29:07 +0100

indicator-session (17.3.20+19.10.20190921-0ubuntu1) eoan; urgency=medium

  [ Khurshid Alam ]
  * Port media keys to use com.canonical.unity.settings-daemon. LP:
    #1842324 (LP: #1842324)

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 21 Sep 2019 10:59:04 +0000

indicator-session (17.3.20+19.04.20190209-0ubuntu1) disco; urgency=medium

  [ Khurshid Alam ]
  * Transition from gnome-settings-daemon-schemas to gnome-settings-
    daemon-common. Fixes LP: #1811118 (LP: #1811118)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 09 Feb 2019 02:33:32 +0000

indicator-session (17.3.20+17.10.20171006-0ubuntu1) artful; urgency=medium

  * Update system information command for gnome-control-center 3.26.
    (LP: #1721804)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 06 Oct 2017 15:49:45 +0000

indicator-session (17.3.20+17.10.20170717.1-0ubuntu3) artful; urgency=medium

  * use 'X-Ubuntu-Use-Langpack: yes' since the indicator is now in
    universe,

  [ Jeremy Bicha ]
  * Fix icon installation. (LP: #1600502)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 30 Aug 2017 10:35:39 +0200

indicator-session (17.3.20+17.10.20170717.1-0ubuntu2) artful; urgency=medium

  * Drop url-dispatcher support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 24 Aug 2017 21:34:55 +0100

indicator-session (17.3.20+17.10.20170717.1-0ubuntu1) artful; urgency=medium

  * Add MATE Desktop support. (LP: #1697792)

 -- Martin Wimpress <martin.wimpress@canonical.com>  Mon, 17 Jul 2017 19:18:31 +0000

indicator-session (17.3.20+17.10.20170605-0ubuntu1) artful; urgency=medium

  * Don't recommend obsolete Ubuntu Online Accounts settings panel

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Jun 2017 14:22:45 +0000

indicator-session (17.3.20+17.04.20170403-0ubuntu1) zesty; urgency=medium

  [ Pete ]
  * Add phone indicator profiles.

  [ Charles Kerr ]
  * Handle "challenge" responses from login1 CanSuspend and CanHibernate
    calls (LP: #1674389)

 -- Pete Woods <pete.woods@canonical.com>  Mon, 03 Apr 2017 15:38:27 +0000

indicator-session (12.10.5+17.04.20170314-0ubuntu1) zesty; urgency=medium

  * Switch to using cmake-extras macros instead of vendored ones

 -- Pete Woods <pete.woods@canonical.com>  Tue, 14 Mar 2017 10:23:58 +0000

indicator-session (12.10.5+17.04.20170309-0ubuntu1) zesty; urgency=medium

  * Rename "Desktop mode" switch to "Desktop Mode" to match
    capitalization style

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 09 Mar 2017 16:02:14 +0000

indicator-session (12.10.5+17.04.20170210-0ubuntu1) zesty; urgency=medium

  * Remove old autostart files.
  * Use gmock module from cmake-extras.
  * Use coverage support from cmake-extras.
  * Use intltool support from cmake-extras.

 -- Rodney Dawes <rodney.dawes@canonical.com>  Fri, 10 Feb 2017 17:09:45 +0000

indicator-session (12.10.5+17.04.20161201-0ubuntu1) zesty; urgency=medium

  [ Michael Terry ]
  * Work inside a snap by prefixing hard coded paths with $SNAP. (LP:
    #1629009)

 -- Rodney Dawes <rodney.dawes@canonical.com>  Thu, 01 Dec 2016 22:33:56 +0000

indicator-session (12.10.5+17.04.20161114-0ubuntu1) zesty; urgency=medium

  [ Charles Kerr ]
  * Switch to libwhoopsie for recoverable problem support (LP: #1638716)

 -- charles.kerr@canonical.com <charles.kerr@canonical.com>  Mon, 14 Nov 2016 22:31:37 +0000

indicator-session (12.10.5+17.04.20161021-0ubuntu1) zesty; urgency=medium

  [ Ted Gould ]
  * Adding a systemd user session unit

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 21 Oct 2016 10:16:10 +0000

indicator-session (12.10.5+16.04.20160412-0ubuntu3) yakkety; urgency=medium

  * MATE proxies the name spaces required for session management. Add
    mate-control-center to Recommends.

 -- Martin Wimpress <code@flexion.org>  Fri, 01 Jul 2016 10:39:27 +0200

indicator-session (12.10.5+16.04.20160412-0ubuntu2) yakkety; urgency=medium

  * Replace systemd-services dependency (which does not exist any more) with
    libpam-systemd, as what we really want here is logind.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 29 Apr 2016 18:35:30 +0200

indicator-session (12.10.5+16.04.20160412-0ubuntu1) xenial; urgency=medium

  * Ensure we request the UI to verify restart availability on unity
    state changes (LP: #1365208)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 12 Apr 2016 11:58:30 +0000

indicator-session (12.10.5+16.04.20160317-0ubuntu1) xenial; urgency=medium

  [ Lukáš Tinkl, Michael Terry ]
  * Add a "Desktop mode" switch for Unity 8 (LP: #1383397, #1538591)

 -- Michael Zanetti <michael.zanetti@canonical.com>  Thu, 17 Mar 2016 22:30:03 +0000

indicator-session (12.10.5+15.10.20150915-0ubuntu1) wily; urgency=medium

  [ Andrea Azzarone andrea.azzarone@canonical.com ]
  * Disable shutdown/reboot in the lockscreen. (LP: #1460626)

  [ Sebastien Bacher ]
  * under unity8 start system-settings instead unity-control-center (LP:
    #1489480)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Sep 2015 07:47:28 +0000


