=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

%:
	dh $@ --with translations

override_dh_install:
	find debian/indicator-session/usr/lib -name *.la -delete
	find debian/indicator-session/usr/lib -name *.a -delete
	dh_install --fail-missing

# Hack as it seems it's not possible to easy run that under dbus-test-runner
override_dh_auto_test:
	env -u LD_PRELOAD dh_auto_test
